Skip to main content
POST
/
api
/
charge_prices
Create a charge price
curl --request POST \
  --url https://clarus-api.com/api/charge_prices \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Clarus-Subdomain: <api-key>' \
  --data '
{
  "data": {
    "type": "charge_prices",
    "attributes": {
      "charge_card_id": 1,
      "charge_type": "PICK",
      "code": "PICK-STD",
      "name": "Standard Pick",
      "price": 0.5,
      "quantity": 1,
      "unit_of_measure": "item"
    }
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "charge_prices",
    "attributes": {
      "auto_charge": true,
      "charge_type": "PICK",
      "code": "PICK-STD",
      "description": null,
      "id": 1,
      "name": "Standard Pick",
      "nominal_code": null,
      "price": 0.5,
      "quantity": 1,
      "unit_of_measure": "item"
    },
    "relationships": {
      "charge_card": {
        "data": {
          "id": "<string>",
          "type": "charge_cards"
        }
      },
      "storage_unit_type": {
        "data": {
          "id": "<string>",
          "type": "storage_unit_types"
        }
      }
    }
  }
}

Request Structure

{
  "data": {
    "type": "charge_prices",
    "attributes": {
      "charge_card_id": 1,
      "charge_type": "PICK",
      "code": "PICK-STD",
      "name": "Standard Pick",
      "price": 0.50,
      "quantity": 1,
      "unit_of_measure": "item"
    }
  }
}

Required Fields

FieldDescription
charge_card_idCharge card this price belongs to
codeUnique code for the charge price (max 50 chars)
nameDisplay name (max 50 chars)
charge_typeOne of: RENTAL, RECEIPT, PICK, SUNDRY
unit_of_measureUnit of measure for billing calculation
quantityQuantity threshold or multiplier
priceUnit price

Optional Fields

FieldDescription
auto_chargeWhether charges are created automatically
descriptionAdditional description
nominal_codeAccounting nominal code
subtypePICK only: FULL, PART, PICKFACE, or DEMAND_PICKFACE
carrier_idPICK only: Specific carrier for pricing
carrier_service_idPICK only: Specific carrier service
order_type_idPICK only: Specific order type
location_group_idLocation group for pricing scope
product_group_idProduct group for pricing scope
storage_unit_type_idStorage unit type for pricing scope

Authorizations

Authorization
string
header
required

OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.

X-Clarus-Subdomain
string
header
required

The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.

Body

application/json
data
object
required

Response

Charge Price created successfully

data
object